apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "freeipa-self-service.fullname" . }}
  labels:
{{ include "freeipa-self-service.labels" . | indent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "freeipa-self-service.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "freeipa-self-service.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    spec:
    {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 8000
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          env:
            - name: ROCKET_IPA_HOST
              value: "{{ .Values.env.ipaHost }}"
            - name: ROCKET_IPA_API_VERSION
              value: "{{ .Values.env.ipaApiVersion }}"
            - name: ROCKET_REGISTERED_MESSAGE
              value: "{{ .Values.env.registeredMessage }}"
            - name: ROCKET_DISABLE_SSL_VERIFICATION
              value: "{{ .Values.env.disableSSLVerification }}"
            - name: ROCKET_IPA_USER
              valueFrom:
                secretKeyRef:
                  name: "{{ .Values.secretName }}"
                  key: username
            - name: ROCKET_IPA_PASS
              valueFrom:
                secretKeyRef:
                  name: "{{ .Values.secretName }}"
                  key: password
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
